Bug 246190 - manpage of certctl(8) contains from "first appeared" message
Summary: manpage of certctl(8) contains from "first appeared" message
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 12.1-STABLE
Hardware: Any Any
: --- Affects Many People
Assignee: Mark Johnston
URL:
Keywords:
Depends on:
Blocks: 228913
  Show dependency treegraph
 
Reported: 2020-05-04 19:57 UTC by Michael Osipov
Modified: 2020-09-13 01:09 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Osipov 2020-05-04 19:57:46 UTC
The manpage says: certctl first appeared in FreeBSD 12.0

In a 12.1-RELEASE jail:
> # freebsd-version
> 12.1-RELEASE
> root@deblndw011x1j:~
> # certctl
> -bash: certctl: Kommando nicht gefunden.

The claim 12.0 is wrong. I assume that this will land in 12.2-RELEASE. Please update the manpage accordingly.
Comment 1 commit-hook freebsd_committer 2020-05-30 19:17:51 UTC
A commit references this bug:

Author: markj
Date: Sat May 30 19:15:29 UTC 2020
New revision: 361655
URL: https://svnweb.freebsd.org/changeset/base/361655

Log:
  certctl.8: Correct the HISTORY section.

  certctl was merged to stable/12 after 12.1 was branched.

  PR:		246190
  Reported by:	Michael Osipov <michael.osipov@siemens.com>
  MFC after:	3 days

Changes:
  head/usr.sbin/certctl/certctl.8
Comment 2 Michael Osipov 2020-06-01 17:16:54 UTC
Looks good to me.
Comment 3 commit-hook freebsd_committer 2020-06-02 00:56:28 UTC
A commit references this bug:

Author: markj
Date: Tue Jun  2 00:56:10 UTC 2020
New revision: 361716
URL: https://svnweb.freebsd.org/changeset/base/361716

Log:
  MFC r361655:
  certctl.8: Correct the HISTORY section.

  PR:	246190

Changes:
_U  stable/12/
  stable/12/usr.sbin/certctl/certctl.8
Comment 4 commit-hook freebsd_committer 2020-09-13 01:09:00 UTC
A commit references this bug:

Author: kevans
Date: Sun Sep 13 01:08:19 UTC 2020
New revision: 365680
URL: https://svnweb.freebsd.org/changeset/base/365680

Log:
  MFC r361397, r361655, r361683: certctl(8) unprivileged & HISTORY correction

  r361397:
  Add an unprivileged mode where calls to install are passed appropriate
  flags.  For ease of integration, use the same flags as install:

   -U		unprivileged mode
   -D <destdir>	Specify DESTDIR (overrides the environment)
   -M <metalog>	Full path to METALOG file

  r361655:
  certctl.8: Correct the HISTORY section.

  certctl was merged to stable/12 after 12.1 was branched.

  r361683:
  certctl: fix test syntax

  test doesn't understand &&, but it does understand -a.

  PR:		246190

Changes:
_U  stable/11/
  stable/11/usr.sbin/certctl/certctl.8
  stable/11/usr.sbin/certctl/certctl.sh